/**
 * api
 * GIC卡券包
 */
import getFetch from './get-fetch.js';
import { welfarePrefix } from '@/config';

// 卡券包
let packages = {
  addPackages: { // 新建卡券包
    url: '/coupon-package/save-package',
    method: 'post',
    useFormData: true,
  },
  editPackages: '/coupon-package/edit-package', // 编辑卡券包
  pageCouponPackage: '/coupon-package/page-package', // 获取卡券包列表
  pagePackageLog: '/coupon-package/page-package-log', // 卡券包发放记录
  getPackageDetail: '/coupon-package/package-detail', // 获取卡券包详情
  deletePackage: '/coupon-package/batch-del-package', // 删除某个卡券包
  updatePackageStock: '/coupon-package/update-package-stock', // 调整卡券包库存
  addPackageItem: '/coupon-package/add-package-item', // 往卡券包里添加卡券
  delPackageItem: '/coupon-package/del-package-item', // 往卡券包里删除卡券
  listCouponByPackageId: '/coupon-package/list-coupon-log', // 卡券领取记录-详情
  checkCustomSetting: '/setting/get-setting', // 查看配置 - 转增扣库存
  saveCustomSetting: '/setting/save-setting', // 保存配置 - 转增扣库存
};
packages = getFetch(packages, welfarePrefix);

export default { ...packages };

