import Layout from '@/components/layout/layout';

export default [
  {
    path: '/gift-manage',
    component: Layout,
    redirect: '/gift-manage/real-gift',
    children: [
      {
        path: 'real-gift',
        component: () => import('@/views/gift-manage/real-gift.vue'),
      },
      {
        path: 'real-gift-detail',
        component: () => import('@/views/gift-manage/real-gift-detail.vue'),
        meta: {
          path: '/gift-manage/real-gift'
        }
      },
      // 库存记录
      {
        path: 'real-stock-list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gift-manage/real-stock-list.vue'),
        meta: {
          path: '/gift-manage/list'
        }
      },
    ],
  },
];